# azure.mgmt.resource.locks.v2016_09_01.models module

class `azure.mgmt.resource.locks.v2016_09_01.models.``ManagementLockObject`(*, level, notes: str = None, owners=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The lock information.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - level (str or LockLevel) – Required. The level of the lock. Possible values are: NotSpecified, CanNotDelete, ReadOnly. CanNotDelete means authorized users are able to read and modify the resources, but not delete. ReadOnly means authorized users can only read from a resource, but they can’t modify or delete it. Possible values include: ‘NotSpecified’, ‘CanNotDelete’, ‘ReadOnly’
  - notes (str) – Notes about the lock. Maximum of 512 characters.
  - owners (list[ManagementLockOwner]) – The owners of the lock.

  Variables:

  - id (str) – The resource ID of the lock.
  - type (str) – The resource type of the lock - Microsoft.Authorization/locks.
  - name (str) – The name of the lock.

class `azure.mgmt.resource.locks.v2016_09_01.models.``ManagementLockOwner`(*, application_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Lock owner properties.

  Parameters: | application_id (str) – The application ID of the lock owner.

class `azure.mgmt.resource.locks.v2016_09_01.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Microsoft.Authorization operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.resource.locks.v2016_09_01.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft.Authorization
  - resource (str) – Resource on which the operation is performed: Profile, endpoint, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.resource.locks.v2016_09_01.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.resource.locks.v2016_09_01.models.``ManagementLockObjectPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ManagementLockObject` object

class `azure.mgmt.resource.locks.v2016_09_01.models.``LockLevel`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `can_not_delete` = 'CanNotDelete'
  `not_specified` = 'NotSpecified'
  `read_only` = 'ReadOnly'